0 Пользователей и 1 Гость просматривают эту тему.
  • 7 Ответов
  • 233 Просмотров
*

kit_andrei

  • Новичок
  • 21
  • 0 / 0
jSecure Lite
« : 08.08.2017, 13:35:13 »
Всем привет.
Установил компонент jSecure Lite, раньше проблем у меня с этим компонентом не было, а сейчас появилась вот такая надпись, как это можно исправить?

Warning: Declaration of jsecureliteControllerjsecurelite::display() should be compatible with JControllerLegacy::display($cachable = false, $urlparams = Array) in /administrator/components/com_jsecurelite/controller.php on line 36


кто нибудь сталкивался с такои проблемой?
с уважением Андрей
*

Avarus

  • Осваиваюсь на форуме
  • 33
  • 8 / 1
Re: jSecure Lite
« Ответ #1 : 08.08.2017, 13:53:54 »
Либо скачать самую последнюю версию, поскольку разработчики скорее всего доработали компонент под новую версию фреймворка Joomla.
Либо в файле /administrator/components/com_jsecurelite/controller.php, в строке 36, сделать замену:
Код
public function display()
на:
Код
public function display($cachable = false, $urlparams = array())
*

SeBun

  • Живу я здесь
  • 3374
  • 214 / 3
  • @SeBun48
Re: jSecure Lite
« Ответ #2 : 08.08.2017, 14:05:40 »
Не хочется флудить и философствовать, но... kit_andrei, зачем вам этот компонент? Вы думаете, вы спрячете админку? Поверьте, она никому не нужна ) Если только школьники настроят брут пароля и возможно их третье-пятое поколение наконец то увидит ответ.... Смысла в этом нет, т.к. во первых сам движок легко детектится, не нужно для этого никаких программ. А во вторых, сайты ломают не через админку.

Вместо этого компонента лучше бы настроили дополнительную авторизацию через .htpassword, больше прока было бы. Имхо.
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Сопровождение | IT-аутсорсинг
*

kit_andrei

  • Новичок
  • 21
  • 0 / 0
Re: jSecure Lite
« Ответ #3 : 08.08.2017, 15:16:57 »
Либо скачать самую последнюю версию, поскольку разработчики скорее всего доработали компонент под новую версию фреймворка Joomla.
Либо в файле /administrator/components/com_jsecurelite/controller.php, в строке 36, сделать замену:
Код
public function display()
на:
Код
public function display($cachable = false, $urlparams = array())


спасибо большое )))) помогло )
*

kit_andrei

  • Новичок
  • 21
  • 0 / 0
Re: jSecure Lite
« Ответ #4 : 08.08.2017, 15:20:24 »
SeBun я согласен с тобой, но если админка закрыта, как то спокоино на душе )))
за совет спасибо,
а как сделать дополнительную авторизацию через .htpassword ?
*

SeBun

  • Живу я здесь
  • 3374
  • 214 / 3
  • @SeBun48
Re: jSecure Lite
« Ответ #5 : 08.08.2017, 15:38:33 »
а как сделать дополнительную авторизацию через .htpassword ?
См. тут
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Сопровождение | IT-аутсорсинг
*

kit_andrei

  • Новичок
  • 21
  • 0 / 0
Re: jSecure Lite
« Ответ #6 : 08.08.2017, 15:55:11 »
См. тут

спасибо большое.
*

SeBun

  • Живу я здесь
  • 3374
  • 214 / 3
  • @SeBun48
Re: jSecure Lite
« Ответ #7 : 09.08.2017, 08:46:44 »
спасибо большое.
Пожалуйста.

Если сделаете так, как я предложил, то получите следующее: ваша CMS будет детектится в любом случае, и путь к админке тоже известен, но теперь она имеет дополнительную защиту. Если при входе в админку будет выводиться форма запроса, от этого толка больше, чем если бы просто тупо перекидывало плагином на главную, т.к. в этом случае защищается ваша сессия. Еще раз подчеркну, что взломщику ваша админка как козе баян.
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Сопровождение | IT-аутсорсинг
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться